Add a PII deletion request

The PII deletion request API allows you to raise a PII deletion request.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
👍

For detailed information about our APIs and for hands-on testing, refer documentation in API overview and step-by-step guide on making your first API call in Make your first API call .

Prerequisites

  • Make sure that PII deletion configuration is enabled. Refer Enable PII deletion documentation for more information.
  • Make sure that you have appropriate access control configured. For more information, see access group documentation.

Example request

curl --location 'https://eu.api.capillarytech.com/v2/requests' \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--header 'X-CAP-API-OAUTH-TOKEN: RUGojdJXl0hvvoSazhdwcv1YmLq_WV18e2Uiv49ZXkFjs2pvTDiHYrp2dv78-1rD-6q63HwwdPhhRnc4QQmgB-CG2bWTA0rQjZkZRRNViZOuRHhQArBgm4Ilx5_Un2H1YCNUDIMI9_VigV0GMJ8p1lmKp1nTD6vuO544OTphAnUVQjyVfxJyJmi9Dt14XykbRUT8BRIYOTjF4KHo8ziG_MBa-RHGmevFPQmi8NAr-LkriAjzC2wJ-BnBFSLNc-_p33knlasPA3TsbGndn0oig' \
--data '
  {
    "type": "CUSTOMER",
    "baseType": "DELETE",
    "comments": "APP DELETION",
    "customerIdentificationInfo": {
        "source": "INSTORE",
        "identifierType": "mobile",
        "identifierValue": "919986000581"
    }
}

'

Body parameters

ParameterTypeDescription
typestringType of the data. At present, only CUSTOMER is supported.
baseTypestringType of the operation. In this context, DELETE is the operation type.
commentsstringComments or description. The maximum number of supported characters is 255.
sourcestringSource of customer data
identifierTypestringType of identifier
identifierValuestringValue of the identifier

Response

ParameterDescription
createdIdThe request-id created.
warningsWarnings, if any.
Body Params
string
required
Defaults to Defaults to CUSTOMER

User type. At present, only CUSTOMER is supported.

string
required
Defaults to Defaults to DELETE

Action that needs to be performed. Only DELETE is supported.

string

Comment, if any.

customerIdentificationInfo
object
required

Customer identification details.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Basic
base64
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/plain